<?php

namespace IQBall\App\Controller;

use IQBall\App\Session\SessionHandle;
use IQBall\App\ViewHttpResponse;
use IQBall\Core\Model\TacticModel;

class UserController {
    private TacticModel $tactics;

    /**
     * @param TacticModel $tactics
     */
    public function __construct(TacticModel $tactics) {
        $this->tactics = $tactics;
    }

    /**
     * @param SessionHandle $session
     * @return ViewHttpResponse the home page view
     */
    public function home(SessionHandle $session): ViewHttpResponse {
        //TODO use session's account to get the last 5 tactics of the logged-in account
        $listTactic = $this->tactics->getLast(5);
        return ViewHttpResponse::twig("home.twig", ["recentTactic" => $listTactic]);
    }

    /**
     * @return ViewHttpResponse account settings page
     */
    public function settings(SessionHandle $session): ViewHttpResponse {
        return ViewHttpResponse::twig("account_settings.twig", []);
    }

}
